package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "SessionStatistics",
   propOrder = {"diServiceInfo", "folderName", "workflowName", "workflowRunId", "workflowRunInstanceName", "instanceName", "mappingName", "taskRunStatus", "workletRunId", "logFileCodePage", "numSrcSuccessRows", "numTgtSuccessRows", "numSrcFailedRows", "numTgtFailedRows", "numTransErrors", "numTables", "logFileName", "firstErrorCode", "firstErrorMessage", "tableStatistics"}
)
public class SessionStatistics {
   @XmlElement(
      name = "DIServiceInfo",
      required = true,
      nillable = true
   )
   protected DIServiceInfo diServiceInfo;
   @XmlElement(
      name = "FolderName",
      required = true,
      nillable = true
   )
   protected String folderName;
   @XmlElement(
      name = "WorkflowName",
      required = true,
      nillable = true
   )
   protected String workflowName;
   @XmlElement(
      name = "WorkflowRunId"
   )
   protected int workflowRunId;
   @XmlElement(
      name = "WorkflowRunInstanceName",
      required = true,
      nillable = true
   )
   protected String workflowRunInstanceName;
   @XmlElement(
      name = "InstanceName",
      required = true,
      nillable = true
   )
   protected String instanceName;
   @XmlElement(
      name = "MappingName",
      required = true,
      nillable = true
   )
   protected String mappingName;
   @XmlElement(
      name = "TaskRunStatus",
      required = true,
      nillable = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected ETaskRunStatus taskRunStatus;
   @XmlElement(
      name = "WorkletRunId"
   )
   protected int workletRunId;
   @XmlElement(
      name = "LogFileCodePage"
   )
   protected int logFileCodePage;
   @XmlElement(
      name = "NumSrcSuccessRows"
   )
   protected int numSrcSuccessRows;
   @XmlElement(
      name = "NumTgtSuccessRows"
   )
   protected int numTgtSuccessRows;
   @XmlElement(
      name = "NumSrcFailedRows"
   )
   protected int numSrcFailedRows;
   @XmlElement(
      name = "NumTgtFailedRows"
   )
   protected int numTgtFailedRows;
   @XmlElement(
      name = "NumTransErrors"
   )
   protected int numTransErrors;
   @XmlElement(
      name = "NumTables"
   )
   protected int numTables;
   @XmlElement(
      name = "LogFileName",
      required = true,
      nillable = true
   )
   protected String logFileName;
   @XmlElement(
      name = "FirstErrorCode"
   )
   protected int firstErrorCode;
   @XmlElement(
      name = "FirstErrorMessage",
      required = true,
      nillable = true
   )
   protected String firstErrorMessage;
   @XmlElement(
      name = "TableStatistics"
   )
   protected List<TableStatistics> tableStatistics;

   public DIServiceInfo getDIServiceInfo() {
      return this.diServiceInfo;
   }

   public void setDIServiceInfo(DIServiceInfo value) {
      this.diServiceInfo = value;
   }

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String value) {
      this.folderName = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }

   public int getWorkflowRunId() {
      return this.workflowRunId;
   }

   public void setWorkflowRunId(int value) {
      this.workflowRunId = value;
   }

   public String getWorkflowRunInstanceName() {
      return this.workflowRunInstanceName;
   }

   public void setWorkflowRunInstanceName(String value) {
      this.workflowRunInstanceName = value;
   }

   public String getInstanceName() {
      return this.instanceName;
   }

   public void setInstanceName(String value) {
      this.instanceName = value;
   }

   public String getMappingName() {
      return this.mappingName;
   }

   public void setMappingName(String value) {
      this.mappingName = value;
   }

   public ETaskRunStatus getTaskRunStatus() {
      return this.taskRunStatus;
   }

   public void setTaskRunStatus(ETaskRunStatus value) {
      this.taskRunStatus = value;
   }

   public int getWorkletRunId() {
      return this.workletRunId;
   }

   public void setWorkletRunId(int value) {
      this.workletRunId = value;
   }

   public int getLogFileCodePage() {
      return this.logFileCodePage;
   }

   public void setLogFileCodePage(int value) {
      this.logFileCodePage = value;
   }

   public int getNumSrcSuccessRows() {
      return this.numSrcSuccessRows;
   }

   public void setNumSrcSuccessRows(int value) {
      this.numSrcSuccessRows = value;
   }

   public int getNumTgtSuccessRows() {
      return this.numTgtSuccessRows;
   }

   public void setNumTgtSuccessRows(int value) {
      this.numTgtSuccessRows = value;
   }

   public int getNumSrcFailedRows() {
      return this.numSrcFailedRows;
   }

   public void setNumSrcFailedRows(int value) {
      this.numSrcFailedRows = value;
   }

   public int getNumTgtFailedRows() {
      return this.numTgtFailedRows;
   }

   public void setNumTgtFailedRows(int value) {
      this.numTgtFailedRows = value;
   }

   public int getNumTransErrors() {
      return this.numTransErrors;
   }

   public void setNumTransErrors(int value) {
      this.numTransErrors = value;
   }

   public int getNumTables() {
      return this.numTables;
   }

   public void setNumTables(int value) {
      this.numTables = value;
   }

   public String getLogFileName() {
      return this.logFileName;
   }

   public void setLogFileName(String value) {
      this.logFileName = value;
   }

   public int getFirstErrorCode() {
      return this.firstErrorCode;
   }

   public void setFirstErrorCode(int value) {
      this.firstErrorCode = value;
   }

   public String getFirstErrorMessage() {
      return this.firstErrorMessage;
   }

   public void setFirstErrorMessage(String value) {
      this.firstErrorMessage = value;
   }

   public List<TableStatistics> getTableStatistics() {
      if (this.tableStatistics == null) {
         this.tableStatistics = new ArrayList();
      }

      return this.tableStatistics;
   }
}
